Summary: Easy to use CD burning for Gnome
Name: nautilus-cd-burner
Version: 2.16.0
Release: 7%{?dist}
Source0: %{name}-%{version}.tar.bz2
License: LGPL/GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Requires: gnome-vfs2 >= 2.1.3.1
Requires: mkisofs
Requires: cdrecord
%ifnarch s390
Requires: cdrdao
%endif
Requires: dvd+rw-tools
Requires: hal >= 0.5.0
Requires: gnome-mount >= 0.4
Requires(post): GConf2 >= 2.14
Requires(pre): GConf2 >= 2.14
Requires(preun): GConf2 >= 2.14
BuildRequires: gnome-vfs2-devel >= 2.1.3.1
BuildRequires: libgnome-devel
BuildRequires: glib2-devel >= 2.1.0
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: eel2-devel
BuildRequires: gettext
BuildRequires: hal-devel >= 0.5.7
BuildRequires: gnome-mount-devel
BuildRequires: nautilus-devel >= 2.5.4
BuildRequires: gnome-mount >= 0.4
# For intltool:
BuildRequires: perl-XML-Parser >= 2.31-16

# From upstream cvs (gnome bugzilla 359997)
Patch1:        nautilus-cd-burner-2.16-growiso-joliet.patch
Patch2:        nautilus-cd-burner-2.16.0-cdrdao.patch
Patch3:        nautilus-cd-burner-2.16.0-from-image.patch
Patch4:        nautilus-cd-burner-2.16.0-speeds.patch

%description
An easy to use CD burning package, well integrated with
Nautilus and the Gnome desktop.

%package devel
Summary: The files needed for nautilus-cd-burner application development
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}
Requires: gtk2-devel
Requires: nautilus-devel
Requires: pkgconfig

%description devel
The nautilus-cd-burner-devel package contains the libraries and
include files that you can use to develop applications that
use the nautilus-cd-burner library.

%prep
%setup -q

%patch1 -p0 -b .growiso-joliet
%patch2 -p0 -b .cdrdao
%patch3 -p0 -b .from-image
%patch4 -p0 -b .speeds

%build
%configure --enable-hal --enable-gnome-mount
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %name

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/libmapping.la
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.la

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :
fi

%postun 
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/gnome-vfs-2.0/modules/mapping-modules.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_libdir}/nautilus/extensions-1.0/*.so*
%{_libdir}/lib*.so.*
%{_bindir}/nautilus-cd-burner
%{_libexecdir}/mapping-daemon
%{_datadir}/nautilus-cd-burner
%{_datadir}/applications/nautilus-cd-burner.desktop
%{_datadir}/applications/nautilus-cd-burner-open-iso.desktop
%{_datadir}/icons/hicolor

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Nov 23 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-7.el5
- Backport bugfixes from 2.16.2
- Resolves: #216730, #216762

* Tue Nov 14 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-6.el5
- Pass joliet flag when using growisofs (#214752)

* Fri Nov  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-5
- Silence %%pre (#213838)

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-4
- Fix scripts according to the packaging guidelines

* Tue Oct  3 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-3
- Don't require cdrdao on s390 where it doesn't exist

* Mon Oct  2 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-2
- Require cdrdao (#208668)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1
- Update to 2.16.0

* Mon Sep  4 2006 Alexander Larsson <alexl@redhat.com> - 2.15.7-2
- Require dvd+rw-tools (#186738)

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.7-1.fc6
- Update to 2.15.7
- Require pkgconfig in the -devel package

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.6-1.fc6
- Update to 2.15.6

* Fri Aug  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.5-1.fc6
- Update to 2.15.5

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-3
- Don't use deprecated dbus api

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-2
- Rebuild against dbus

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-1.1
- rebuild

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1
- Update to 2.15.3

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 2.15.2-3
- Fix schema name (#193325)

* Fri May 26 2006 Jeremy Katz <katzj@redhat.com> - 2.15.2-2
- builds on s390 now

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.com> - 2.14.0.1-1
- Update to 2.14.0.1

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-2
- Add a Req for gnome-mount 

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92
- Drop upstreamed patch
- Add BuildReq for gnome-mount

* Fri Feb 24 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-2
- Fix a problem with writing iso images (#182358)

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.13.90-1
- Update to 2.13.90

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5-1
- Update to 2.13.5

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> 2.13.4-1
- Update to 2.13.4

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 2.13.3-1
- Update to 2.13.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 Matthias Clasen <mclasen@redhat.com>  2.13.2-1
- Update to 2.13.2

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-2
- rebuild for new dbus

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com>  2.12.1-1
- Update to 2.12.1

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com>  2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- New upstream version

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.5-1
- New upstream version

* Mon Jul 11 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.4-1
- Newer upstream version
- Link against libstdc++. The hack doesn't really work

* Wed Apr 13 2005 David Zeuthen <davidz@redhat.com> - 2.10.0-3
- Fix Requires for -devel package (#152505)

* Sat Mar 19 2005 Florian La Roche <laroche@redhat.com>
- "," is no delim for ExcludeArch

* Fri Mar 11 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-1
- Update to 2.10.0
- exclude s390 and s390x from build

* Mon Mar  7 2005 David Zeuthen <davidz@redhat.com> 2.9.8-2
- Build with patches for new hal/dbus API and fix locking of drive

* Thu Mar  3 2005 Alex Larsson <alexl@redhat.com> 2.9.8-1
- Update to 2.9.8

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.6-1
- Update to 2.9.6

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.5-1
- Update to 2.9.5

* Wed Oct 20 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-6
- Make user own the dirs in burn:/// (#135151)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-5
- Make unmount patch slighly better

* Fri Oct  8 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-4
- Add patch to unmount if needed (#107544)

* Thu Oct  7 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-3
- try to build on s390

* Wed Sep 29 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-2
- run ldconfig in post/postun

* Thu Sep 23 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-1
- Upgrade to 2.8.3 to get rid of cvs backport patch

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.2-1
- Update to 2.8.2
- Remove old upstreamed patches
- make new cvs backport patch

* Tue Sep 21 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-4
- Lock devices using hal when burning

* Mon Sep 20 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-3
- fix up is_rewritable patch to not change api

* Fri Sep 17 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-2
- Add patch to detect rewritable discs on older drives

* Fri Sep 17 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-1
- update to 2.8.1
- Add fixes patch to fix some small details
- Add asserts patch to not assert if mmc profiling fails (#132479, #132645)
- Add patch that makes n-c-b use hal to get media type
- Enable hal support

* Wed Sep 15 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0
- backport cvs fixes

* Thu Aug 19 2004 Alex Larsson <alexl@redhat.com> 2.7.6-1
- update to 2.7.6

* Thu Aug 12 2004 Alexander Larsson <alexl@redhat.com> - 2.7.5-1
- update to 2.7.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May  4 2004 Alex Larsson <alexl@redhat.com> 2.6.0-2
- Open the right help file (#121476)

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.6.6-1
- update to 0.6.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- update to 0.6.5

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- update to 0.6.4

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-2
- update file list

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-1
- new version

* Mon Oct 13 2003 Alexander Larsson <alexl@redhat.com> 0.5.3-1
- Update to final gnome 2.4 release
- Has one crash fix and new translations

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.5.0-1
- update for gnome 2.3

* Thu Jul 10 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-3
- Add eel2-devel and gettext buildrequires

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-1
- Update to 0.4.3

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 0.4.2-1
- Update to 0.4.2

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.3.2-1
- Update to 0.3.2

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Update to 0.3.1

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-2
- Langify

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-1
- Update to 0.3

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.2-2
- rebuild

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.2-1
- Update to 0.2

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 0.1-3
- Added mkisofs and cdrecord dependencies

* Thu Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-2
- run make in build

* Wed Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-1
- Initial build.


